Changes/archive/2008

Материал из ALT Linux Wiki
Перейти к: навигация, поиск


2008[править]

Ноябрь[править]

30.11.2008

Возможны проблемы с раскладкой клавиатуры. Некоторые приложения (например, pidgin, firefox) могут не реагировать на переключение языка. Обновление пакета xorg-server до версии 1.5.3-alt6 должно помочь.

08.11.2008

При обновлении glibc до 2.8.90-alt3 вы увидите некоторое количество сообщений вида sort: error while loading shared libraries: librt.so.1: cannot open shared object file: No such file or directory. Это вызвано перемещением libpthread в другой пакет, о последствиях можно не беспокоиться.[1]

Если вам повезёт меньше и вы увидите, например, mktemp: error while loading shared libraries: librt.so.1: cannot open shared object file: No such file or directory error: execution of %post scriptlet from cpp4.3-4.3.2-alt5 failed, exit status 127 то придётся удалять оставшийся в системе пакет предыдущей сборки cpp4.3-4.3.2-alt4.[2]

Октябрь[править]

25.10.2008

Спасайся, кто может -- в сизиф долетел gcc4.3, потери среди гражданских пакетов составили почти тысячу. Уточнение сводки генштабом ожидается...

23.10.2008

Если после dist-upgrade отвалился GLX на NVIDIA

rm -f /usr/lib/libGL.so.1.2 ; x11setupdrv

см. http://lists.altlinux.org/pipermail/sisyphus/2008-October/335101.html

22.10.2008

Quagga 0.99.11, похоже, содержит засаду. Если кто использует пакет из Сизифа, будьте осторожны. Проявляется в виде появления в логе записей "Link State Update: LSA checksum error": http://lists.quagga.net/pipermail/quagga-users/2008-October/010033.html Баг периодический, может проявится через несколько дней нормальной работы.

Сентябрь[править]

17.09.2008 В Сизифе обновился glibc-kernehaders. Видимые изменения в 2.6.27-alt3 по сравнению с 2.6.24-alt5:

  • <linux/dirent.h> больше не предоставляется. Нужно использовать <dirent.h>
  • <linux/inotify.h> больше не предоставляется. Нужно использовать <sys/inotify.h>
  • <linux/ext2_fs.h> больше не предоставляется. Нужно использовать <ext2fs/ext2_fs.h> из libe2fs-devel

Также начиная с ядра версии 2.6.25-alt10 возможно изменение имени раздела жесткого диска, с привычного hda (например) на sda. Всем, у кого в /etc/lilo.conf и /etc/fstab разделы прописаны именно в таком виде, рекомендуется использовать UUID или LABEL для указания раздела на жестком диске.

Июль[править]

08.07.2008

В сизиф направляется firefox-3.0. У тех, кто не уверен в нужности новой версии, есть время поставить firefox-2.x на холд. :)

Июнь[править]

23.06.2008

После обновления xorg-server
только до версий 1.4.2-alt4..alt7
(собранного с hal без libXiconfig и отключенным по умолчанию input-hotplug) могут перестать подключаться USB мыши, клавиатуры и изменяться кеймапы.

Проблемы могут быть устранены рестартом X после прописывания/редактирования секции в /etc/X11/xorg.conf

Section "ServerFlags"
         Option   "AllowEmptyInput"    "false"
         Option   "AllowMouseOpenFail" "true"
         Option   "AutoAddDevices"     "false"
EndSection

11.06.2008

В сизиф приехал новый RPM — с поддержкой LZMA-сжатия. Может вызвать проблемы при обновлении, которые преодолеваются так:

# apt-get update
# apt-get install 'rpm>=4.0.4-alt93'
# apt-get --reinstall update

Май[править]

08.05.2008

В сизиф попал
upstart
, который при dist-upgrade пытается заменить
SysVinit
; майнтейнер преодолел часть проблем, описал ещё часть и ищет предложений по оставшимся.

Тем временем создан 4.1/branch на базе Sisyphus-20080501.

Апрель[править]

15.04.2008

Апстрим hal сломал по умолчанию часть работы со старыми (включая 2.6.18) ядрами — если пострадало автомонтирование fat, задумайтесь об участии в тестировании 2.6.24-std-def или примените этот рецепт.

Март[править]

31.03.2008

Настоятельно не рекомендуется обновляться до
dev-3.3.1-alt19
при использовании udev; сборка alt20 уже в работе/тестировании. Если всё-таки заполучили именно эту сборку, лучше сделать:
rpm -e --noscripts dev-3.3.1-alt19

14.03.2008

Предупреждают, что
GNOME
в сизифе «развален», и предлагают обновляться осторожно.

03.03.2008

Отправляя
glib2-2.15.6
с поддержкой GIO, ktirf@ предупредил на всякий, что это нестабильная ветка glib2, хотя у него всё работает.

01.03.2008

Обладателям пакетов
GConf-2.20.1
любых релизов настоятельно рекомендуется обновиться до GConf-2.21.90-alt1; из-за ошибки в скриптах, устанавливающих и удаляющих GConf schemas схемы не устанавливаются и не удаляются вообще.
  1. http://lists.altlinux.org/pipermail/sisyphus/2008-November/335330.html
  2. http://lists.altlinux.org/pipermail/sisyphus/2008-November/335331.html